from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XClipboard(XInterface, Protocol):
    def getContents(self) -> XTransferable: ...
    def setContents(self, xTrans: XTransferable, xClipboardOwner: XClipboardOwner) -> None: ...
    def getName(self) -> str: ...
